Bug 1008974 - [pre-ER1] Patching: attempt to apply broken cumulative patch results in inconsistent state of one-offs
[pre-ER1] Patching: attempt to apply broken cumulative patch results in incon...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Patching (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ER1
: ---
Assigned To: Emanuel Muckenhuber
Jan Martiska
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-17 08:29 EDT by Martin Simka
Modified: 2015-02-01 18:05 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 12:01:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-1823 Major Resolved Patching: attempt to apply broken cumulative patch results in inconsistent state of one-offs 2013-09-17 08:29:13 EDT

  None (edit)
Description Martin Simka 2013-09-17 08:29:12 EDT
attempt to install broken cumulative patch is correctly rejected but previously installed one-offs are partially invalidated (at least one-offs which add misc files)

see test CumulativePatchingScenariosTestCase#testOneOffInvalidCumulativePatch
it installs one-off that adds misc file then installs one-off that adds module
and then tries to install broken CP, CP is rejected but misc file added by first one-off doesn't exist


This is fixed in ER1, just cloning the issue for reference.

Note You need to log in before you can comment on or make changes to this bug.